Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# MessagingC.h File Reference

`#include "ace/pre.h"`
`#include "orbconf.h"`
`#include "corbafwd.h"`
`#include "ValueBase.h"`
`#include "ValueFactory.h"`
`#include "TAO_Export.h"`
`#include "Any.h"`
`#include "CDR.h"`
`#include "Remote_Object_Proxy_Impl.h"`
`#include "TimeBaseC.h"`
`#include "IOPC.h"`
`#include "PolicyC.h"`
`#include "PollableC.h"`
`#include "ace/post.h"`

Include dependency graph for MessagingC.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _MESSAGING_REBINDPOLICY___PTR_CH_
#define | _MESSAGING_REBINDPOLICY___VAR_CH_
#define | _MESSAGING_REBINDPOLICY___OUT_CH_
#define | _MESSAGING_REBINDPOLICY_CH_
#define | _MESSAGING_SYNCSCOPEPOLICY___PTR_CH_
#define | _MESSAGING_SYNCSCOPEPOLICY___VAR_CH_
#define | _MESSAGING_SYNCSCOPEPOLICY___OUT_CH_
#define | _MESSAGING_SYNCSCOPEPOLICY_CH_
#define | _MESSAGING_REQUESTPRIORITYPOLICY___PTR_CH_
#define | _MESSAGING_REQUESTPRIORITYPOLICY___VAR_CH_
#define | _MESSAGING_REQUESTPRIORITYPOLICY___OUT_CH_
#define | _MESSAGING_REQUESTPRIORITYPOLICY_CH_
#define | _MESSAGING_REPLYPRIORITYPOLICY___PTR_CH_
#define | _MESSAGING_REPLYPRIORITYPOLICY___VAR_CH_
#define | _MESSAGING_REPLYPRIORITYPOLICY___OUT_CH_
#define | _MESSAGING_REPLYPRIORITYPOLICY_CH_
#define | _MESSAGING_REQUESTSTARTTIMEPOLICY___PTR_CH_
#define | _MESSAGING_REQUESTSTARTTIMEPOLICY___VAR_CH_
#define | _MESSAGING_REQUESTSTARTTIMEPOLICY___OUT_CH_
#define | _MESSAGING_REQUESTSTARTTIMEPOLICY_CH_
#define | _MESSAGING_REQUESTENDTIMEPOLICY___PTR_CH_
#define | _MESSAGING_REQUESTENDTIMEPOLICY___VAR_CH_
#define | _MESSAGING_REQUESTENDTIMEPOLICY___OUT_CH_
#define | _MESSAGING_REQUESTENDTIMEPOLICY_CH_
#define | _MESSAGING_REPLYSTARTTIMEPOLICY___PTR_CH_
#define | _MESSAGING_REPLYSTARTTIMEPOLICY___VAR_CH_
#define | _MESSAGING_REPLYSTARTTIMEPOLICY___OUT_CH_
#define | _MESSAGING_REPLYSTARTTIMEPOLICY_CH_
#define | _MESSAGING_REPLYENDTIMEPOLICY___PTR_CH_
#define | _MESSAGING_REPLYENDTIMEPOLICY___VAR_CH_
#define | _MESSAGING_REPLYENDTIMEPOLICY___OUT_CH_
#define | _MESSAGING_REPLYENDTIMEPOLICY_CH_
#define | _MESSAGING_RELATIVEREQUESTTIMEOUTPOLICY___PTR_CH_
#define | _MESSAGING_RELATIVEREQUESTTIMEOUTPOLICY___VAR_CH_
#define | _MESSAGING_RELATIVEREQUESTTIMEOUTPOLICY___OUT_CH_
#define | _MESSAGING_RELATIVEREQUESTTIMEOUTPOLICY_CH_
#define | _MESSAGING_RELATIVEROUNDTRIPTIMEOUTPOLICY___PTR_CH_
#define | _MESSAGING_RELATIVEROUNDTRIPTIMEOUTPOLICY___VAR_CH_
#define | _MESSAGING_RELATIVEROUNDTRIPTIMEOUTPOLICY___OUT_CH_
#define | _MESSAGING_RELATIVEROUNDTRIPTIMEOUTPOLICY_CH_
#define | _MESSAGING_ROUTINGPOLICY___PTR_CH_
#define | _MESSAGING_ROUTINGPOLICY___VAR_CH_
#define | _MESSAGING_ROUTINGPOLICY___OUT_CH_
#define | _MESSAGING_ROUTINGPOLICY_CH_
#define | _MESSAGING_MAXHOPSPOLICY___PTR_CH_
#define | _MESSAGING_MAXHOPSPOLICY___VAR_CH_
#define | _MESSAGING_MAXHOPSPOLICY___OUT_CH_
#define | _MESSAGING_MAXHOPSPOLICY_CH_
#define | _MESSAGING_QUEUEORDERPOLICY___PTR_CH_
#define | _MESSAGING_QUEUEORDERPOLICY___VAR_CH_
#define | _MESSAGING_QUEUEORDERPOLICY___OUT_CH_
#define | _MESSAGING_QUEUEORDERPOLICY_CH_
#define | _MESSAGING_POLICYVALUE__TAO_SEQ_OCTET_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_MESSAGING_POLICYVALUESEQ_CH_
#define | _MESSAGING_POLICYVALUESEQ_CH_
#define | _MESSAGING_POLICYVALUESEQ___VAR_CH_
#define | _MESSAGING_POLICYVALUESEQ___OUT_CH_
#define | _MESSAGING_EXCEPTIONHOLDER___VAR_CH_
#define | _MESSAGING_EXCEPTIONHOLDER___OUT_CH_
#define | _MESSAGING_EXCEPTIONHOLDER___INIT_CH_
#define | _MESSAGING_EXCEPTIONHOLDER_CH_
#define | _MESSAGING_EXCEPTIONHOLDER__TAO_SEQ_OCTET_CH_
#define | _MESSAGING_REPLYHANDLER___PTR_CH_
#define | _MESSAGING_REPLYHANDLER___VAR_CH_
#define | _MESSAGING_REPLYHANDLER___OUT_CH_
#define | _MESSAGING_REPLYHANDLER_CH_
#define | _MESSAGING_EXCEPTIONHOLDER___OBV_CH_
## Functions
TAO_Export void | operator<<= (CORBA::Any &, Messaging::PriorityRange *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, Messaging::PriorityRange *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const Messaging::PriorityRange *&)
TAO_Export void | operator<<= (CORBA::Any &, const Messaging::RoutingTypeRange &)
TAO_Export void | operator<<= (CORBA::Any &, Messaging::RoutingTypeRange *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, Messaging::RoutingTypeRange *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const Messaging::RoutingTypeRange *&)
TAO_Export void | operator<<= (CORBA::Any &, const Messaging::PolicyValue &)
TAO_Export void | operator<<= (CORBA::Any &, Messaging::PolicyValue *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, Messaging::PolicyValue *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const Messaging::PolicyValue *&)
TAO_Export void | operator<<= (CORBA::Any &, const Messaging::PolicyValueSeq &)
TAO_Export void | operator<<= (CORBA::Any &, Messaging::PolicyValueSeq *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, Messaging::PolicyValueSeq *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const Messaging::PolicyValueSeq *&)
TAO_Export void | operator<<= (CORBA::Any &, Messaging::ReplyHandler_ptr)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, Messaging::ReplyHandler *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Messaging::PriorityRange &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Messaging::PriorityRange &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Messaging::RoutingTypeRange &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Messaging::RoutingTypeRange &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Messaging::PolicyValue &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Messaging::PolicyValue &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Messaging::PolicyValue::_tao_seq_Octet &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Messaging::PolicyValue::_tao_seq_Octet &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Messaging::PolicyValueSeq &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Messaging::PolicyValueSeq &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Messaging::ExceptionHolder *)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Messaging::ExceptionHolder *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Messaging::ReplyHandler_ptr)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Messaging::ReplyHandler_ptr &)

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_MESSAGING_POLICYVALUESEQ_CH_

#define _MESSAGING_EXCEPTIONHOLDER___INIT_CH_

#define _MESSAGING_EXCEPTIONHOLDER___OBV_CH_

#define _MESSAGING_EXCEPTIONHOLDER___OUT_CH_

#define _MESSAGING_EXCEPTIONHOLDER___VAR_CH_

#define _MESSAGING_EXCEPTIONHOLDER__TAO_SEQ_OCTET_CH_

#define _MESSAGING_EXCEPTIONHOLDER_CH_

#define _MESSAGING_MAXHOPSPOLICY___OUT_CH_

#define _MESSAGING_MAXHOPSPOLICY___PTR_CH_

#define _MESSAGING_MAXHOPSPOLICY___VAR_CH_

#define _MESSAGING_MAXHOPSPOLICY_CH_

#define _MESSAGING_POLICYVALUE__TAO_SEQ_OCTET_CH_

#define _MESSAGING_POLICYVALUESEQ___OUT_CH_

#define _MESSAGING_POLICYVALUESEQ___VAR_CH_

#define _MESSAGING_POLICYVALUESEQ_CH_

#define _MESSAGING_QUEUEORDERPOLICY___OUT_CH_

#define _MESSAGING_QUEUEORDERPOLICY___PTR_CH_

#define _MESSAGING_QUEUEORDERPOLICY___VAR_CH_

#define _MESSAGING_QUEUEORDERPOLICY_CH_

#define _MESSAGING_REBINDPOLICY___OUT_CH_

#define _MESSAGING_REBINDPOLICY___PTR_CH_

#define _MESSAGING_REBINDPOLICY___VAR_CH_

#define _MESSAGING_REBINDPOLICY_CH_

#define _MESSAGING_RELATIVEREQUESTTIMEOUTPOLICY___OUT_CH_

#define _MESSAGING_RELATIVEREQUESTTIMEOUTPOLICY___PTR_CH_

#define _MESSAGING_RELATIVEREQUESTTIMEOUTPOLICY___VAR_CH_

#define _MESSAGING_RELATIVEREQUESTTIMEOUTPOLICY_CH_

#define _MESSAGING_RELATIVEROUNDTRIPTIMEOUTPOLICY___OUT_CH_

#define _MESSAGING_RELATIVEROUNDTRIPTIMEOUTPOLICY___PTR_CH_

#define _MESSAGING_RELATIVEROUNDTRIPTIMEOUTPOLICY___VAR_CH_

#define _MESSAGING_RELATIVEROUNDTRIPTIMEOUTPOLICY_CH_

#define _MESSAGING_REPLYENDTIMEPOLICY___OUT_CH_

#define _MESSAGING_REPLYENDTIMEPOLICY___PTR_CH_

#define _MESSAGING_REPLYENDTIMEPOLICY___VAR_CH_

#define _MESSAGING_REPLYENDTIMEPOLICY_CH_

#define _MESSAGING_REPLYHANDLER___OUT_CH_

#define _MESSAGING_REPLYHANDLER___PTR_CH_

#define _MESSAGING_REPLYHANDLER___VAR_CH_

#define _MESSAGING_REPLYHANDLER_CH_

#define _MESSAGING_REPLYPRIORITYPOLICY___OUT_CH_

#define _MESSAGING_REPLYPRIORITYPOLICY___PTR_CH_

#define _MESSAGING_REPLYPRIORITYPOLICY___VAR_CH_

#define _MESSAGING_REPLYPRIORITYPOLICY_CH_

#define _MESSAGING_REPLYSTARTTIMEPOLICY___OUT_CH_

#define _MESSAGING_REPLYSTARTTIMEPOLICY___PTR_CH_

#define _MESSAGING_REPLYSTARTTIMEPOLICY___VAR_CH_

#define _MESSAGING_REPLYSTARTTIMEPOLICY_CH_

#define _MESSAGING_REQUESTENDTIMEPOLICY___OUT_CH_

#define _MESSAGING_REQUESTENDTIMEPOLICY___PTR_CH_

#define _MESSAGING_REQUESTENDTIMEPOLICY___VAR_CH_

#define _MESSAGING_REQUESTENDTIMEPOLICY_CH_

#define _MESSAGING_REQUESTPRIORITYPOLICY___OUT_CH_

#define _MESSAGING_REQUESTPRIORITYPOLICY___PTR_CH_

#define _MESSAGING_REQUESTPRIORITYPOLICY___VAR_CH_

#define _MESSAGING_REQUESTPRIORITYPOLICY_CH_

#define _MESSAGING_REQUESTSTARTTIMEPOLICY___OUT_CH_

#define _MESSAGING_REQUESTSTARTTIMEPOLICY___PTR_CH_

#define _MESSAGING_REQUESTSTARTTIMEPOLICY___VAR_CH_

#define _MESSAGING_REQUESTSTARTTIMEPOLICY_CH_

#define _MESSAGING_ROUTINGPOLICY___OUT_CH_

#define _MESSAGING_ROUTINGPOLICY___PTR_CH_

#define _MESSAGING_ROUTINGPOLICY___VAR_CH_

#define _MESSAGING_ROUTINGPOLICY_CH_

#define _MESSAGING_SYNCSCOPEPOLICY___OUT_CH_

#define _MESSAGING_SYNCSCOPEPOLICY___PTR_CH_

#define _MESSAGING_SYNCSCOPEPOLICY___VAR_CH_

#define _MESSAGING_SYNCSCOPEPOLICY_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Messaging::ReplyHandler_ptr | _tao_objref
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const Messaging::ExceptionHolder * |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Messaging::PolicyValueSeq & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Messaging::PolicyValue::_tao_seq_Octet & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Messaging::PolicyValue & | _tao_aggregate
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const Messaging::RoutingTypeRange & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const Messaging::PriorityRange & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Messaging::ReplyHandler_ptr | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Messaging::PolicyValueSeq * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValueSeq & | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Messaging::PolicyValue * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValue & | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Messaging::RoutingTypeRange * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const Messaging::RoutingTypeRange & | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Messaging::PriorityRange * | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Messaging::ReplyHandler_ptr & | _tao_objref
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | Messaging::ExceptionHolder *& |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Messaging::PolicyValueSeq & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Messaging::PolicyValue::_tao_seq_Octet & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Messaging::PolicyValue & | _tao_aggregate
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | Messaging::RoutingTypeRange & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | Messaging::PriorityRange & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | Messaging::ReplyHandler *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValueSeq *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Messaging::PolicyValueSeq *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValue *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Messaging::PolicyValue *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Messaging::RoutingTypeRange *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Messaging::RoutingTypeRange *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Messaging::PriorityRange *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Messaging::PriorityRange *& | _tao_elem
| ) |